function init(hero) {
    hero.setName("The Merciless/\u00A7d\u00A7lKNIGHTS\u00A7r");
    hero.setTier(4);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    hero.addPrimaryEquipment("fiskheroes:scimitar", true, item => !item.nbt().getBoolean("Dual"));
    hero.addPrimaryEquipment("fiskheroes:grappling_gun", true);
    
    hero.addPowers("knights:helmet_of_aries");
    hero.addAttribute("PUNCH_DAMAGE", 8.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 10.7, 0);
    hero.addAttribute("MAX_HEALTH", 2.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 4.6, 0);
    hero.addAttribute("FALL_RESISTANCE", 500.5, 0);
    hero.addAttribute("IMPACT_DAMAGE", 1.5, 1);
    hero.addAttribute("SPRINT_SPEED", 0.3, 1);
    hero.addAttribute("BASE_SPEED_LEVELS", 1, 0);
    
    hero.addKeyBind("UTILITY_BELT", "key.utilityBelt", 1);
    hero.addKeyBind("SONIC_WAVES", "Merciless Scream", 2);
    hero.addKeyBind("CHARGED_BEAM", "War Cry",3);
    hero.addKeyBind("SUPER_SPEED", "key.superSpeed", 5);
    hero.addKeyBind("SLOW_MOTION", "key.slowMotion", 4);

    hero.setDefaultScale(1.25);
    
    hero.setHasPermission((entity, permission) => permission == "USE_GRAPPLING_GUN");
    hero.setModifierEnabled(isModifierEnabled);
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
     case "fiskheroes:flight":
        return entity.getData("fiskheroes:shadowform");
   default:
        return true;
    }
}
